complexType "PrePayment"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 1 attribute, 7 elements
Defined: | globally in fpml-eqd-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?, prePayment, prePaymentAmount, prePaymentDate
</...>

Content Model Elements (7):

  payerAccountReference,
  payerPartyReference,
  prePayment (in prePayment defined in EquityExerciseValuationSettlement complexType),
  prePaymentAmount,
  prePaymentDate,
  receiverAccountReference,
  receiverPartyReference

All Direct / Indirect Based Elements (1):

  prePayment (defined in EquityExerciseValuationSettlement complexType)

Known Usage Locations

- As direct type of elements (1):
  prePayment (defined in EquityExerciseValuationSettlement complexType)

Annotation
A type for defining PrePayment.
Type Definition Detail

Type Derivation Tree PaymentBase (extension) PrePayment

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="PrePayment"> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:group ref="PayerReceiver.model"/> <xsd:element name="prePayment" type="xsd:boolean"/> <xsd:element name="prePaymentAmount" type="NonNegativeMoney"/> <xsd:element name="prePaymentDate" type="AdjustableDate"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/7)
prePayment

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element name="prePayment" type="xsd:boolean"/>

prePaymentAmount

  Type: | NonNegativeMoney, complex content

  XML Source (see within schema source)

  <xsd:element name="prePaymentAmount" type="NonNegativeMoney"/>

prePaymentDate

  Type: | AdjustableDate, complex content

  XML Source (see within schema source)

  <xsd:element name="prePaymentDate" type="AdjustableDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.